- Main
- Tutorials
- Library
- Samples

Macros | Functions
Basic
Library » MX_Node_SDK » Interface

## Macros
#define | INTERFACE_MX_NODE_BASIC (1ll << 0)
| Interface basic's flag. More...
#define | INTERFACE_MX_NODE_DATA_ACCESS (1ll << 1)
| Interface data access's flag. More...

## Functions
const char * | mx_node_operator_get_version ()
| Get node operator's version. More...
long long | mx_node_operator_get_supported_interfaces ()
| Get supported interfaces. More...
MX_NODE_RESULT | mx_node_operator_initialize (MX_NODE_NODE_OPERATOR_HANDLE operator_handle)
| Do node operator's initialize, like create nodes. More...
void | mx_node_operator_uninitialize ()
| Do node operator's uninitialize. More...
void | mx_node_operator_start ()
| A notify to inform node operator start with non-blocking. More...
void | mx_node_operator_stop ()
| A notify to inform node operator stopping. More...

## Detailed Description

## Macro Definition Documentation

#define INTERFACE_MX_NODE_BASIC (1ll << 0)

Interface basic's flag.

Note
  Flag is used to represent supported interface in mx_node_operator_get_supported_interfaces().

Definition at line 42 of file mx_node_interface_basic.h.

#define INTERFACE_MX_NODE_DATA_ACCESS (1ll << 1)

Interface data access's flag.

Note
  Flag is used to represent supported interface in mx_node_operator_get_supported_interfaces().

Definition at line 48 of file mx_node_interface_basic.h.

## Function Documentation

const char* mx_node_operator_get_version | ( |  | ) |

Get node operator's version.

Returns
  A string with node operator's version.

long long mx_node_operator_get_supported_interfaces | ( |  | ) |

Get supported interfaces.

Returns
  Flags which represent interfaces are supported.

MX_NODE_RESULT mx_node_operator_initialize | ( | MX_NODE_NODE_OPERATOR_HANDLE | operator_handle | ) |

Do node operator's initialize, like create nodes.

Returns
  Initialize success or not.

void mx_node_operator_uninitialize | ( |  | ) |

Do node operator's uninitialize.

void mx_node_operator_start | ( |  | ) |

A notify to inform node operator start with non-blocking.

Note
  OPC UA server is ready, the node operator can start doing its jobs.

void mx_node_operator_stop | ( |  | ) |

A notify to inform node operator stopping.

Note
  This node operator will be closed, you need to stop the thread in mx_node_operator_start() if you keep it.